Забыли пароль?
Запросите новый здесь.

Автор темы: Oleg
ID темы: 3033
Информация:
Тема содержит 19 сообщения, была просмотрена 890 раз.
Просмотр темы
 Распечатать тему
PHP-Fusion 8
Oleg
Скачать PHP-Fusion 8 - https://www.php-f...nloads.php
Скачать русскую локализацию - https://yadi.sk/d...l2KvePMU4w

Требуемая версия PHP: от 5.6 и выше
Требуемая версия MySQL: от 5.5.3 и выше
Требуемая версия Apache: от 2.1 и выше
Требуемая версия Nginx: от 1.0 и выше

Обновление от 7.02.07 до 8 работает, проверено. Перед обновлением не забудьте сделать полную резервную копию файлов и экспортировать бэкап базы данных.
ВАЖНО: Кроме перемещения файлов из папки "Upgrade_7.02.07_8.00.21" в корневой каталог, переместите также файлы локализации обновления из папки "Russian > Upgrade_7.02.07_8.00.21". Если этого не сделать, вместо недостающего текста локализации после обновления могут отобразиться кракозябры. От себя рекомендую процесс обновления производить на версии PHP 5.6 (не ниже и не выше). После обновления можно оставить 5.6 или переключиться на другую версию выше.
Для обновления базы данных перейдите в "Панель администратора > Администратирование системы > Обновление". В ходе обновления базы данных будет указано, какие строки нужно добавить в config.php. После добавления строк и завершения процесса, в корневой папке замените все файлы на новые из папки files, а также добавьте русскую локализацию из папок расположенных в каталоге Russian.
Изменил(а) Oleg, 01.04.2019 04:38
 
hungel
Судя по описанию, ничего нового, кроме поддержки PHP7 у них нет. Я выкладывал 3 файла, которые нужно заменить, чтобы получить поддержку PHP7 вот тема http://rusfusion.ru/forum/viewthread.php?thread_id=2974
 
Oleg
Изменил название и описание темы. Оказывается появилось то, что надо, а я начал про какие-то неофициальные репаки ))
 
Vveb--ws
я признаю версию 7.0, а 7.1 и 7.2 не признаю, из них беру некоторые файлы. 8 не смотрел.
 
Web
hungel
Я только что узнал что существует улучшенная версия 7-ой, это 8-ой фьюжен, который как оказывается не только поддерживает PHP7, но и изменён на современный лад. Только почему здесь об этом будто никто не знает...


Серьезно?
Последняя новость на rusfusion от 23.05.2018. Прямо на главной странице!
Про 8 версию забыли года 4 назад, официальный сайт разработчиков переехал на 9 версию, а 8 они забросили хз когда.
Ни 8 ни 9 версия не являются улучшением 7 версии. Это написанные с нуля движки на ООП. От версии 7 там только название.
 
Oleg
Серьезно?
Последняя новость на rusfusion от 23.05.2018. Прямо на главной странице!

Это про 9.03
Про 8 версию забыли года 4 назад, официальный сайт разработчиков переехал на 9 версию, а 8 они забросили хз когда.
Ни 8 ни 9 версия не являются улучшением 7 версии. Это написанные с нуля движки на ООП. От версии 7 там только название.

9 не является, но про 8 цитата из новости польской поддержки фьюжиона:

PHP объявил, что прекратит поддержку PHP ниже 7. Поэтому многие сайты PHP-Fusion могут сильно пострадать, если многие хосты просто отвергнут их. Не все готовы к 9, а 9 не для всех.

Поэтому мы подумали, что мы можем сделать, чтобы помочь людям, которые довольны своими сайтами PHP-Fusion 7 и не хотят переходить на PF 9 на данном этапе?
Поэтому цель в ближайшие дни - выпустить PHP-Fusion 8, который на 100% совместим с 7.
Это должно привести к проблемам с нулевым переходом для надстроек и скинов PHP-Fusion 7.
PHP-Fusion 8 также включает некоторые функции, созданные для PHP-Fusion. 9.
Кроме того, PHP-Fusion 8 имеет сотни меньших / больших патчей и оптимизаций (260+), если моя память хорошо мне подходит.

Совместимость тем 7 и 8 сам проверил, работает. И да, насколько я понял 8 разработали совсем недавно. Последний релиз 8.00.19 на оф.сайте выложен 7 дней назад.
 
hungel
Ну дак это тогда не PHP-Fusion 8 это PHP-Fusion 7.02.08 ну в лучшем случае 7.03.

Изначально разработчики начали пилить Fusion 8 на ООП и он уже был другим движком, в дальнейшем насколько я помню, они забросили 8 и начали пилить 9.
 
Oleg
hungel, по факту как вы пишите так и есть, потому что я сам это помню. Но если судить о том, как теперь официально решили разработчики назвать движок, то пройдите на главный сайт с копирайта, там сами увидите...

Кстати, вот локаль бы надо )) кто бы занялся ab
Изменил(а) Oleg, 26.01.2019 14:23
 
hungel
Я был на сайте и видел то, что они называют 8 версией, потому и написал, что это 7.02.08. В коде есть отличия, но как по мне до 8 версии не дотягивает, хотя как будет время, копну глубже.
 
Dave
8-ка не ставится, при установке первый пункт неактивен. Темы - с 7-ой не совместимы.ac
Если перебрал - задрай переборки.
 
Oleg
Dave, версия PHP у вас на хостинге какая? Требуется от PHP 5.6 и выше.
Темы подходят, но не все, к сожалению. В поддержке писали, что не подходят мультиязычные вроде бы... вот у меня как раз мультиязычная не подошла. Поставил под эту тему немецкий неофициальный репак 7.02.07, в ней есть поддержка mysqli и pdo.

На форуме оф.сайта недавно выложили 8.00.20 и там отдельно можно скачать русскую локализацию. Посвящу наверное первый пост под восьмёрку, а то поддержка неизвестно, будет ли ещё когда-нибудь выкладывать файлы.
Изменил(а) Oleg, 10.02.2019 08:16
 
Dave
На локальный не ставится, LAMP у меня и 5 и 7 PHP (линукс). Всё абсолютно работает, все движки, но тут засада.. По рид-ми надо для локала какой-то Laragon.. Непонятно, зачем такой изврат ?
Если перебрал - задрай переборки.
 
Oleg
У меня на Windows установлен AppServ, - на нём всё ОК. На Linux никогда не устанавливал сервер, поэтому не знаю. PHP-Fusion 9 тоже без проблем идёт у вас на LAMPе?
Непонятно, зачем такой изврат ?

Обратите внимание на то, что восьмёрка ещё сыроватая ) В последней версии только исправили баг с отображением картинок в админке. Можно обратиться на оф. форум на английском, как я делаю )
Изменил(а) Oleg, 10.02.2019 11:41
 
Dave
Да, 9-ка - без проблем. И все, что ставил, с десяток разных движкоа и магазинов - тоже без проблем..
Ну да и ладно, свет не сошелся, просто хотел пощупать. Попробую на поддомен на реальном хостинге, места навалом.
Спасибо!
Если перебрал - задрай переборки.
 
Polarfox
да зачем 8, пропустили же
Всегда делайте backup перед изменениями | Указывайте свою версию в подписи/профиле. | Вся бесплатная тех. поддержка только на форуме

PolarLab - вход для подопытных
 
Web
Oleg
Перенёс с 7 на 8 уже не один сайт и не одну тему, поэтому хочу сказать; всё таки как и заявила поддержка, на 8 должны подходить все темы от 7, - так и есть, но есть НО, - в 7 встроен старый jQuery, версии 1.7.2, для которого и написаны те "навороченные" темы с различными js-скриптами, которые могут не совмещаться с более новым jQuery v1.10.1 в 8.
Что делать?
Адаптировать, т.е. посмотреть встроенные в темы скрипты и обновить их на новые версии. После адаптации темы работают нормально, даже при включенном Bootstrap`е.
И ещё заметка, в 8 в templates появился "обнуляльщик" тегов в файле global.css, который задаёт 0 на margin и padding. И в default.css тоже есть действие на ul, li, что может влиять на встроенные в темы меню и.т.п... тоже возможно придётся в css темы добавить немного свойств. Сложного нечего в этом нет, если не лениться.
Изменил(а) Oleg, 27.03.2019 11:12
 
vudi
Oleg написал:

Перенёс с 7 на 8 уже не один сайт ...

И как они себя чувствуют в плане индексации после перехода на v8? Понижение позиций были в поисковиках? Меня что-то пугает этот вопрос, учитывая как ведут себя поисковики в данный момент.
 
hungel
Сам не проверял, но благодаря bootstrap (ссылки изменились) индексу точно хана. Сайт с какой никакой посещаемостью, думаю в течении недели восстановит свои позиции в поиске.

Посмотрел внимательней, судя по всему ссылки остались прежними. В таком случае и для поисковиков ничего не изменилось.
Изменил(а) hungel, 27.03.2019 19:05
 
Oleg
vudi написал:
Понижение позиций были в поисковиках?

Нет. Там как бы и не из-за чего влиять на индексы, поскольку содержимое и ссылки не меняются. Так только если напомнить о мелочи вроде favicon`ов, они читаются Яндексом. У 7 и 8 их система чуть отличается. На 7 там штатно было одна иконка 16x16 ico, а на 8 они идут под разные устройства и браузеры. В папке images/favicons там увидите каких размеров и форматов нужны иконки. Я все их делал под сайт. А так в плане контента больше отличий не замечал. Плагин Google Sitemap тоже совместим с 8.
Изменил(а) Oleg, 28.03.2019 04:33
 

Поделиться этой темой
Социальные закладки: Vkontakte Odnoklassniki Mail.ru Facebook Google Tweet This
URL:
BBcode:
HTML:

Перейти на форум:
Похожие темы
Топ 5 пользователей форума
Alex Alex (1,208)   Zaxap Zaxap (1,089)   Vova Vova (877)   Pisatel Pisatel (678)   util util (666)